#
# spec file for package fairymax
#

Name:           fairymax
Version:        5.0b
Release:        1%{?dist}
Summary:        A xboard compatible chess and chess-variant engine
License:        SUSE-Public-Domain
Group:          Amusements/Games/Board/Chess
Url:            http://home.hccnet.nl/h.g.muller/CVfairy.html
# downloaded from: http://hgm.nubati.net/cgi-bin/gitweb.cgi?p=fairymax.git;a=snapshot;h=refs/tags/%{version};sf=tgz
Source0:        %{name}-%{version}.tar.gz
# PATCH-FIX-OPENSUSE fairymax-makefile.patch
Patch0:         fairymax-makefile.patch
# PATCH-FIX-UPSTREAM fairymax-fix-return.patch
Patch1:         fairymax-fix-return.patch
BuildRequires:  fdupes
Provides:       chess_backend

%description
Fairymax is a program that plays chess and chess variants. It uses
the xboard/winboard chess-engine protocol to communicate. Apart from
'regular' chess (also known as the Mad-Queen variant), it can play
Capablanca chess, gothic chess, knightmate, cylinder chess, berolina
chess, superchess and courier chess.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
make %{?_smp_mflags}

%install
%make_install
%fdupes -s %{buildroot}

%files
%defattr(-,root,root)
%doc copyright changelog README CVfairy.html
%{_bindir}/fairymax
%{_bindir}/maxqi
%{_bindir}/shamax
%{_datadir}/games/fairymax
%{_datadir}/games/plugins
%{_mandir}/man6/fairymax.*

%changelog
* Fri Mar 21 2025 Eugene Misnik <eugene.misnik@habital.lv> - 5.0b-1
- First package (version 5.0b)
- Build for RHEL 9
